We upgraded our server to 5.3 on August 6th but didn’t upgrade our clients from 5.1 due to too many bugs in the client. We are still on the 5.1 client which is not completely compatible with the 5.3 server. I can’t begin to tell you how many bugs I’ve found in the 5.3 client, but I’m going to give it a try.
  • Asset History failed to show when an Installed Application was removed from Inventory. However, it still did report that it found new inventory. – Fixed with a patch.
  • The 5.3.x agent will not delete any of the MI installation folders or files. –Known issues but not resolved
  • When using a ‘Pre-Install Message’ within an MI, an error message pops up asking for more arguments or arguments are wrong. – Issue has been resolved. There were spaces in our company name with the KACE server that caused the issue.
  • The Asset History on an Inventory item is being truncated within the GUI. Only 50 line items will appear. The last line states: "And XX more software items found in inventory." – Fixed with a patch.
  • Many issues related to deploying MI’s.
  • When inventorying a workstation, KACE finds a new application to add to the Software table. For some reason, the agent does not pull the registry info like comments, Uninstall String, etc.
Moving to the 5.3 has been so frustrating for us. We have to spend tons of hours testing each agent version only to find a bug was not fixed or a new bug has appeared. I have worked extensively with a couple KACE developers for the past couple of months. They have been very nice and helpful, but whoever is doing the QA’ing on the clients is not doing a good enough job.
What I don’t get is the fact that the 5.3 agent that is available to KACE customers on the website – and it’s full of bugs. It’s true that I’m venting here, but I personally do not feel comfortable with the KACE agent anymore. I’m stuck with a 5.3 server and a 5.1 client.

KACE – please help and/or get your QA department in order.

Thanks,
David Aldridge - MCTS, MCITP: SQL 2008
Application Support Specialist
0 Comments   [ + ] Show Comments

Comments

Please log in to comment

Rating comments in this legacy AppDeploy message board thread won't reorder them,
so that the conversation will remain readable.

Answers

0
I agree. It is very frustrating. Not only is the 5.3 agent full of bugs, but I have seen at least a ten-fold increase in the time the 5.3 agent takes to run an inventory.
Answered 10/11/2011 by: gochjj
Senior Yellow Belt

Please log in to comment
0
ORIGINAL: diverdaveman1

We upgraded our server to 5.3 on August 6th but didn’t upgrade our clients from 5.1 due to too many bugs in the client. We are still on the 5.1 client which is not completely compatible with the 5.3 server. I can’t begin to tell you how many bugs I’ve found in the 5.3 client, but I’m going to give it a try.
  • Asset History failed to show when an Installed Application was removed from Inventory. However, it still did report that it found new inventory. – Fixed with a patch.
  • The 5.3.x agent will not delete any of the MI installation folders or files. –Known issues but not resolved
  • When using a ‘Pre-Install Message’ within an MI, an error message pops up asking for more arguments or arguments are wrong. – Issue has been resolved. There were spaces in our company name with the KACE server that caused the issue.
  • The Asset History on an Inventory item is being truncated within the GUI. Only 50 line items will appear. The last line states: "And XX more software items found in inventory." – Fixed with a patch.
  • Many issues related to deploying MI’s.
  • When inventorying a workstation, KACE finds a new application to add to the Software table. For some reason, the agent does not pull the registry info like comments, Uninstall String, etc.
Moving to the 5.3 has been so frustrating for us. We have to spend tons of hours testing each agent version only to find a bug was not fixed or a new bug has appeared. I have worked extensively with a couple KACE developers for the past couple of months. They have been very nice and helpful, but whoever is doing the QA’ing on the clients is not doing a good enough job.
What I don’t get is the fact that the 5.3 agent that is available to KACE customers on the website – and it’s full of bugs. It’s true that I’m venting here, but I personally do not feel comfortable with the KACE agent anymore. I’m stuck with a 5.3 server and a 5.1 client.

KACE – please help and/or get your QA department in order.

Thanks,
David Aldridge - MCTS, MCITP: SQL 2008
Application Support Specialist


What patch ended up fixing the asset history issue? We are on the latest version from the website, but I wasn't sure if they had any unreleased fixes to this or what
Answered 10/11/2011 by: LanhamA
Yellow Belt

Please log in to comment
0
I think the SP1 fixed it. You might want to check with support though.

Here is the link to the KB article:
http://www.kace.com/support/kb/index.php?action=artikel&cat=1&id=1119&artlang=en&highlight=53

Here is the link to download SP1:
http://downloads.kace.com/support/downloads/5.3/k1000_server_5.3.45497.kbin

Once again - I'm not telling you to install this. Make sure you ask support first.

Dave
Answered 10/11/2011 by: diverdaveman1
Purple Belt

Please log in to comment
0

Asset History failed to show when an Installed Application was removed from Inventory. However, it still did report that it found new inventory.  – Fixed with a patch.

This is still an issue with server 5.3.45497. Rumor has it there is a 5.4 client in the works...
Answered 10/11/2011 by: RichB
Fourth Degree Green Belt

Please log in to comment
0
I'm in your situation, I'm rolling back today and repairing my managed installs to work with the 5.1 agent again. but the server is already 5.3. As far as I can tell this doesn't cause many issues, but I haven't done extensive testing. But I would recommend to anyone considering the 5.3 agent to AVOID. It is in no way ready for release and flatout doesn't work.
Answered 10/11/2011 by: dogfish182
Orange Belt

Please log in to comment
0
ORIGINAL: diverdaveman1

We upgraded our server to 5.3 on August 6th but didn’t upgrade our clients from 5.1 due to too many bugs in the client. We are still on the 5.1 client which is not completely compatible with the 5.3 server. I can’t begin to tell you how many bugs I’ve found in the 5.3 client, but I’m going to give it a try. 


Are the problems you listed for the 5.3 client or the 5.1 client/5.3 server combination? I am on the fence regarding updating to 5.3, very interesting to read about your experiences.
Answered 10/12/2011 by: olav
Senior Yellow Belt

Please log in to comment
0
My recommendation is to stay away from both the 5.3 server and agent. I was told by development that the 5.3 server and 5.1 agent was not fully compatible - and I can vouch for that - especially in the MI area. The 5.3 agent is full of bugs as you can tell from the many posts in this forum. We depend on KACE heavily for inventory and patching. At this point we have spent countless hours test and re-testing different 5.3 agents only be be frustrated by new bugs.

If you do upgrade - TEST EVERYTHING and then TEST SOME MORE!!!

Dave
Answered 10/12/2011 by: diverdaveman1
Purple Belt

Please log in to comment
0
Found these postings too late.

All my scripts and deployments have ceased to function.
yes - the agent takes 10 times longer to Inventory.

My advice - stay away from 5.3 ANYTHING.
We are going to back to manual installations.....................
Answered 12/15/2011 by: pcbhelpdesk
Senior Yellow Belt

Please log in to comment
0
We have found the cause of longer inventories in 5.3. It was related to the 5.3 information store. Checking on an ETA for it.
Answered 12/18/2011 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
0
This optimization will be in the 5.3 L10N ap1 release. On a poor-performing test machine we went from 12 minutes to 25 seconds for the data collection.
Answered 12/18/2011 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
0
Any thoughts as to when the next release will be? I know they announced at the Konference it would be released towards the end of November - which has passed.

Just wondering...
Answered 12/19/2011 by: diverdaveman1
Purple Belt

Please log in to comment
0
Yes that will be in February (ETA) ref: http://www.kace.com/support/kb/#news_65

A K1000 patch is currently scheduled for release in early February and will be available to our global K1000 customer base.The patch will include a number of server & agent improvements, as well as several crucial bug fixes. Key patch changes will include:
  • Support for Mac Lion 10.7.2
  • Windows inventory performance improvements
  • Better Windows logged-in user detection
  • Additional agent failure recovery capabilities
Download and installation information will be provided on our support site once the patch has been released.
FYI, this headline (and other news) should also appear on your home tab in your kbox (if it's conneted to internet)
[/align]
Answered 12/19/2011 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
0
I am so frustrated with this. We are just deploying a new K1100 and are having all kinds of problem with the agents. I wish I had known this before setting a time line for the deployment. Very frustrating.
Answered 12/29/2011 by: jmhj
Orange Belt

Please log in to comment
0
jmhj, there are some scenarios where a 5.1 agent would be better. You could have a mix in your environment too. What are the issues you are seeing? Do you have a test environment? Would you have the ability to test/ compare 5.1 / 5.3 in that environment?
Answered 12/29/2011 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
0
First thing is not all the clients are reporting in. The inventory xml file is created but they agent isn't sending it correctly and the computer never shows in inventory. This is not true for all. It does not matter if I push the agent or manually install it. I have tried deleting the reg keys, uninstalling, etc. So we have some machines working. Seems that it doesn't matter the Win version either. We have not been able to do our initial meeting as part of our JumpStart Program because our inside Dell guy is out on medical leave and the email address he sent in his auto reply for an alternate contact is bad. My sells rep says it will be after the first of the year. So I have to figure out how the heck to get a support login so I can login in and get to the an alternate agent. I plan on calling support today unless there is away around all this that you can share so I can to get to the agents. Testing should be no problem.
Answered 12/29/2011 by: jmhj
Orange Belt

Please log in to comment
0
if you have a support contract then support will give you a temporary login to access the software you need.
Answered 12/29/2011 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
0
jmhj - PM Me for jumpstart; we'll get you moving.
Answered 12/30/2011 by: cblake
Red Belt

Please log in to comment
0
We are currently running server version 5.2.38773 and agent version 5.1.38724. Question is, when they release the new update in February, will it be a straight upgrade to it or do you have to upgrade in intervals?
Answered 02/02/2012 by: svierneisel
Blue Belt

Please log in to comment
0
as you can see in the following article (http://www.kace.com/support/kb/#news_65) an update should released in early february, but what means early february. now we have the 10th of february and no update available.

the problem is, that there is no extact roadmap or a release date. thats very frustrating.

what we want to know is

- when the multi distro agent will be release
- when changes on the help desk will come

but we didn´t find any information.
Answered 02/09/2012 by: aragorn.2003
Red Belt

Please log in to comment
0
Like a map when you hit a detour the route and ETA changes. The latest release candidate did not fully pass testing which is the reason for the delay. Barring any major detours the 5.3 L10N sp1 release is imminent.
Answered 02/10/2012 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
0
What is the new ETA for this release?
Answered 02/14/2012 by: cmccartin
Yellow Belt

Please log in to comment
0
I wish I could give you a better answer, but still imminent. Meaning it could be tomorrow, but no guarantee.
Answered 02/14/2012 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
0
I see server version 5.3.53053 and client version 5.3.53177 available for download today. Time for testing!
Answered 02/15/2012 by: sramsey
Yellow Belt

Please log in to comment
0
I'm interested to hear feedback from those who have upgraded. After 5.3 I'm a little wary of upgrading just yet...
Answered 02/15/2012 by: Arcolite
Senior Purple Belt

Please log in to comment
1
I installed the latest 5.3 client running against a 5.3.45496 server. Right off the bat, an MI would not install at bootup and I couldn't get an MI to install after bootup. Obviously more testing is needed. I'm upgrading the server tonight to the latest.

I'll give my feed back towards the end of the week.

Dave
Answered 02/15/2012 by: diverdaveman1
Purple Belt

Please log in to comment
0
We do not test newer clients against older servers.
Also if you have issues with the latest please open a new thread about 5.3L10N sp1 (server patch 1 ) or ap1 (agent patch 1)
Answered 02/15/2012 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
0
Is there any documentation to state which version client works with certain server versions?

I'm not trying to be a smarty-pants, but does KACE expect all it's clients to be on the latest and greatest version for both client and server?
Answered 02/15/2012 by: diverdaveman1
Purple Belt

Please log in to comment
0
We test the last two versions against the server. I believe that is stated somewhere. 5.3GA, 5.3L10N and 5.3L10N sp1 was designed so that 5.2 agents could connect to it.

Informally we probably do a lot of older agents connecting and being able to at least update.
Answered 02/15/2012 by: GillySpy
Seventh Degree Black Belt

Please log in to comment
Answer this question or Comment on this question for clarity